Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 770615 - Review Request: baobab - A graphical directory tree analyzer
Review Request: baobab - A graphical directory tree analyzer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 693705 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-27 22:22 EST by Matthias Clasen
Modified: 2013-08-18 03:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 03:47:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adel.gadllah: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2011-12-27 22:22:10 EST
another new package that used to be part of gnome-utils.

srpm: http://mclasen.fedorapeople.org/baobab-3.3.1-1.fc17.src.rpm
spec: http://mclasen.fedorapeople.org/baobab.spec
Comment 1 Adel Gadllah 2012-01-31 11:21:52 EST
Review:

[1] rpmlint must be run on every package.

baobab.src: W: spelling-error %description -l en_US analyse -> analyses, analyst, analyze
baobab.src: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
baobab.x86_64: W: spelling-error %description -l en_US analyse -> analyses, analyst, analyze
baobab.x86_64: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
baobab.x86_64: W: obsolete-not-provided gnome-utils
baobab.x86_64: W: obsolete-not-provided gnome-utils-libs
baobab.x86_64: W: obsolete-not-provided gnome-utils-devel
baobab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/baobab-3.3.1/src/baobab-remote-connect-dialog.c
baobab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/baobab-3.3.1/src/baobab-remote-connect-dialog.h
3 packages and 0 specfiles checked; 2 errors, 7 warnings.

[+] The package must be named according to the Package Naming Guidelines.
[+] The spec file name must match the base package %{name}
[+] The package must meet the Packaging Guidelines.
[+] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. (GPLv2+ and GFDL)
[+] The License field in the package spec file must match the actual license.
[2] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] The spec file must be written in American English.
[+] The spec file for the package MUST be legible.
[+] The sources used to build the package must match the upstream source, as provided in the spec URL.
sha265: df516886452984c609ecd149ea43cbbd77f100c4c5424762835600a2269075d7
[+] The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] All build dependencies must be listed in BuildRequires
[+] The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[+] A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] A package must not contain any duplicate files in the %files listing.
[+] Permissions on files must be set properly.
[+] Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed / validated with desktop-file-install / desktop-file-validate in the %install section.
[+] Packages must not own files or directories already owned by other packages.
[+] All filenames in rpm packages must be valid UTF-8.
[+] The reviewer should test that the package builds in mock.
[+] The package should compile and build into binary rpms on all supported architectures.
[+] If scriptlets are used, those scriptlets must be sane.

1: Mostly just noise, should provide gnome-utils though for upgrades.
2: Should package COPYING (and probably NEWS and README)

Otherwise looks fine.
Comment 2 Michal Schmidt 2012-03-04 13:41:27 EST
*** Bug 693705 has been marked as a duplicate of this bug. ***
Comment 3 Rui Matos 2012-03-05 10:21:12 EST
I've updated this (hopefully) according to Adel's comment:

spec: http://glua.ua.pt/~rmatos/baobab.spec
srpm: http://glua.ua.pt/~rmatos/baobab-3.3.2-1.fc16.src.rpm
Comment 4 Rui Matos 2012-03-05 11:00:06 EST
After reading the packaging guidelines about Obsoletes/Provides I decided that it's better to only obsolete gnome-utils since this package doesn't provide any libs or devel stuff.

Also I removed the Provides line since it seems to me that we can't claim that having baobab installed is the same as having gnome-utils. By this reasoning none of the new separated utilities should get the Provides line so I'm on the fence on this one.

spec: http://glua.ua.pt/~rmatos/baobab.spec
srpm: http://glua.ua.pt/~rmatos/baobab-3.3.2-1.fc16.src.rpm
Comment 5 Adel Gadllah 2012-03-05 11:04:25 EST
(In reply to comment #4)
> After reading the packaging guidelines about Obsoletes/Provides I decided that
> it's better to only obsolete gnome-utils since this package doesn't provide any
> libs or devel stuff.
> 
> Also I removed the Provides line since it seems to me that we can't claim that
> having baobab installed is the same as having gnome-utils. By this reasoning
> none of the new separated utilities should get the Provides line so I'm on the
> fence on this one.
> 
> spec: http://glua.ua.pt/~rmatos/baobab.spec
> srpm: http://glua.ua.pt/~rmatos/baobab-3.3.2-1.fc16.src.rpm

Yeah an obsolete should be enough to handle upgrades too now days, so that's fine.
Comment 6 Adel Gadllah 2012-03-05 11:05:10 EST
=> Approved.
Comment 7 Rui Matos 2012-03-07 11:42:41 EST
New Package SCM Request
=======================
Package Name: baobab
Short Description: A graphical directory tree analyzer
Owners: rtcm
Branches: 
InitialCC:
Comment 8 Gwyn Ciesla 2012-03-07 11:53:41 EST
Reviewer, please take ownership of review BZs.

Unretired devel, please take ownership in pkgdb, thanks all!
Comment 9 Rui Matos 2012-03-12 09:10:51 EDT
Package Change Request
======================
Package Name: baobab
New Branches: f17
Owners: rtcm
Comment 10 Gwyn Ciesla 2012-03-12 09:12:32 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-03-14 05:48:06 EDT
baobab-3.3.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/baobab-3.3.3-1.fc17
Comment 12 Fedora Update System 2012-03-15 22:40:07 EDT
baobab-3.3.3-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 13 Fedora Update System 2012-03-16 10:03:48 EDT
baobab-3.3.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/baobab-3.3.3-2.fc17
Comment 14 Adel Gadllah 2013-08-18 03:47:48 EDT
No reason to keep this open.

Note You need to log in before you can comment on or make changes to this bug.